> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Create agent (template-driven)

POST https://api.youratlas.com/v1/api/agent/new/{campaignId}
Content-Type: application/json

Creates a new agent for the campaign using server-managed voice and agent-type templates. Unlike `POST /agent/{campaignId}`, this endpoint resolves voice settings and scripts from template IDs rather than requiring inline configuration.

Required fields:

* `Name` — display name for the agent (always required).
* `VoiceId` — ID of the voice template (always required; defines TTS provider, language, and voice settings).

`agentTypeId` — ID of the agent-type template (defines scripts and conversational behavior) — is optional. When it is **omitted**, `AgentTypeName`, `PreScript`, and `PostScript` become required instead.

On success returns `200` with `{ campaignId, assistantId }`.

### Available `VoiceId` values

Pick the `ID` column value for the voice you want. These are Atlas catalog IDs — they are not the underlying provider's voice IDs, and the two are interchangeable only by coincidence. A voice that speaks more than one language per call has its own entry under **Multilanguage** with a different ID from its single-language entry.

#### English (US)

| ID                                     | Name        | Gender | Provider | Preview                                                  |
| -------------------------------------- | ----------- | ------ | -------- | -------------------------------------------------------- |
| `uYXf8XasLslADfZ2MB4u`                 | Nicole      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/nicole-en.mp3)        |
| `POgnTczcLAPhQxgBI5JL`                 | Emma        | female | 11labs   | [listen](https://cdn.aqx.ai/voices/emma.mp3)             |
| `00`                                   | Andrea      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Andrea-mono.wav)      |
| `GGRMgbKfr7QscdcrvWga`                 | Sadie       | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Sadie_en.mp3)         |
| `kdmDKE6EkgrWrrykO9Qt`                 | Olivia      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Olivia_en.mp3)        |
| `AzY2BqTy0uxbEAbMtXEG`                 | Ava         | female | 11labs   | [listen](https://cdn.aqx.ai/voices/ava-original.mp3)     |
| `02`                                   | Kelcey      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Kelcey-mono.wav)      |
| `03`                                   | Christopher | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Christopher-mono.wav) |
| `04`                                   | Burt        | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Burt-mono.wav)        |
| `05`                                   | Johnny      | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Johnny-mono.wav)      |
| `aTxZrSrp47xsP6Ot4Kgd`                 | Tiana       | female | 11labs   | [listen](https://cdn.aqx.ai/voices/tiana-en.mp3)         |
| `OOk3INdXVLRmSaQoAX9D`                 | Tiffany     | female | 11labs   | [listen](https://cdn.aqx.ai/voices/tiffany-en.mp3)       |
| `56AoDkrOh6qfVPDXZ7Pt`                 | Sienna      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Sienna-en.mp3)        |
| `XcXEQzuLXRU9RcfWzEJt`                 | Maya        | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Maya-en.mp3)          |
| `kdnRe2koJdOK4Ovxn2DI`                 | Freya       | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Freya-en.mp3)         |
| `l4Coq6695JDX9xtLqXDE`                 | Iris        | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Iris-en.mp3)          |
| `j45mXgB0BR0mIJbdyK09`                 | Jade        | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Jade-en.mp3)          |
| `P7x743VjyZEOihNNygQ9`                 | Charlene    | female | 11labs   | [listen](https://cdn.aqx.ai/voices/charlene-en.mp3)      |
| `77aEIu0qStu8Jwv1EdhX`                 | Joseph      | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/joseph-en.mp3)        |
| `ewxUvnyvvOehYjKjUVKC`                 | Andre       | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/andre-en.mp3)         |
| `Z7HhYXzYeRsQk3RnXqiG`                 | Samuel      | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/samuel-en.mp3)        |
| `tyler-en`                             | Tyler       | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/tyler-en.mp3)         |
| `dMyQqiVXTU80dDl2eNK8`                 | Hannah      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/hanna-en.mp3)         |
| `asteria`                              | Brooke      | female | deepgram | [listen](https://cdn.aqx.ai/voices/brooke-en.mp3)        |
| `8d8ce8c9-44a4-46c4-b10f-9a927b99a853` | Jules       | female | cartesia | [listen](https://cdn.aqx.ai/voices/jules-en.mp3)         |
| `a38e4e85-e815-43ab-acf1-907c4688dd6c` | Claire      | female | cartesia | [listen](https://cdn.aqx.ai/voices/claire-en.mp3)        |

#### English (UK)

| ID                     | Name      | Gender | Provider | Preview                                              |
| ---------------------- | --------- | ------ | -------- | ---------------------------------------------------- |
| `ZF6FPAbjXT4488VcRRnw` | Charlotte | female | 11labs   | [listen](https://cdn.aqx.ai/voices/charlotte-uk.mp3) |
| `19STyYD15bswVz51nqLf` | Gemma     | female | 11labs   | [listen](https://cdn.aqx.ai/voices/gemma-uk.mp3)     |
| `lcMyyd2HUfFzxdCaC4Ta` | Poppy     | female | 11labs   | [listen](https://cdn.aqx.ai/voices/poppy-uk.mp3)     |
| `Fahco4VZzobUeiPqni1S` | Daniel    | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/daniel-uk.mp3)    |
| `RKCbSROXui75bk1SVpy8` | James     | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/james-uk.mp3)     |
| `1BUhH8aaMvGMUdGAmWVM` | Ben       | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/ben-uk.mp3)       |

#### English (Australia)

| ID                     | Name     | Gender | Provider | Preview                                              |
| ---------------------- | -------- | ------ | -------- | ---------------------------------------------------- |
| `fCqNx624ZlenYx5PXk6M` | Grace    | female | 11labs   | [listen](https://cdn.aqx.ai/voices/grace-aus.mp3)    |
| `ys3XeJJA4ArWMhRpcX1D` | Zoe      | female | 11labs   | [listen](https://cdn.aqx.ai/voices/zoe-aus.mp3)      |
| `OluJZCsIVfyg64DC1NPq` | Sophia   | female | 11labs   | [listen](https://cdn.aqx.ai/voices/sophia-aus.mp3)   |
| `aEO01A4wXwd1O8GPgGlF` | Simone   | female | 11labs   | [listen](https://cdn.aqx.ai/voices/simone-aus.mp3)   |
| `w9rPM8AIZle60Nbpw7nl` | Michelle | female | 11labs   | [listen](https://cdn.aqx.ai/voices/michelle-aus.mp3) |
| `DYkrAHD8iwork3YSUBbs` | Bruce    | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/bruce-aus.mp3)    |
| `WLKp2jV6nrS8aMkPPDRO` | Wayne    | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/wayne-aus.mp3)    |

#### Spanish (es-US)

| ID                     | Name                  | Gender | Provider | Preview                                                  |
| ---------------------- | --------------------- | ------ | -------- | -------------------------------------------------------- |
| `06`                   | Sylvia (EN & Spanish) | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Sylvia-mono.wav)      |
| `kcQkGnn0HAT2JRDQ4Ljp` | Luisa                 | female | 11labs   | [listen](https://cdn.aqx.ai/voices/luisa.mp3)            |
| `07`                   | Maria                 | female | 11labs   | [listen](https://cdn.aqx.ai/voices/maria-spanish.wav)    |
| `08`                   | Carlos                | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/carlos-spanish.wav)   |
| `09`                   | Santiago              | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/santiago-spanish.wav) |

#### French (fr-FR)

| ID   | Name          | Gender | Provider | Preview                                                  |
| ---- | ------------- | ------ | -------- | -------------------------------------------------------- |
| `10` | Andréa        | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Fr_Andrea.wav)        |
| `11` | Mathieu       | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Fr_Mathieu.wav)       |
| `12` | Stéphanie     | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Fr_Stephanie.wav)     |
| `15` | Jean-François | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Fr_Jean-François.wav) |

#### Romanian (ro-RO)

| ID   | Name      | Gender | Provider | Preview                                              |
| ---- | --------- | ------ | -------- | ---------------------------------------------------- |
| `13` | Ana Maria | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Ro_Ana_Maria.wav) |
| `14` | Corina    | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Ro_Corina.wav)    |

#### German (de)

| ID                     | Name   | Gender | Provider | Preview                                           |
| ---------------------- | ------ | ------ | -------- | ------------------------------------------------- |
| `aMSt68OGf4xUZAnLpTU8` | Sabine | female | 11labs   | [listen](https://cdn.aqx.ai/voices/sabine-du.mp3) |
| `markus-de`            | Markus | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/markus-du.mp3) |

#### Hindi (hi-IN)

| ID                     | Name  | Gender | Provider | Preview                                          |
| ---------------------- | ----- | ------ | -------- | ------------------------------------------------ |
| `qSV5UqvHBC0Widy71Esh` | Arjun | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/arjun-hi.mp3) |

#### Hebrew (he-IL)

| ID                  | Name         | Gender | Provider | Preview                                                 |
| ------------------- | ------------ | ------ | -------- | ------------------------------------------------------- |
| `Korean_SweetGirl`  | רחל (Rachel) | female | minimax  | [listen](https://cdn.aqx.ai/voices/female-1-hebrew.mp3) |
| `English_CalmWoman` | שרה (Sarah)  | female | minimax  | [listen](https://cdn.aqx.ai/voices/female-2-hebrew.mp3) |

#### Turkish (tr-TR)

| ID                     | Name   | Gender | Provider | Preview                                                |
| ---------------------- | ------ | ------ | -------- | ------------------------------------------------------ |
| `KoVIHoyLDrQyd4pGalbs` | Zeynep | female | 11labs   | [listen](https://cdn.aqx.ai/voices/Zeynep_turkish.mp3) |
| `IuRRIAcbQK5AQk1XevPj` | Mehmet | male   | 11labs   | [listen](https://cdn.aqx.ai/voices/Mehmet_turkish.mp3) |

#### Multilanguage

Use these when the agent must speak multiple languages in one call.

| ID                        | Name                   | Gender | Provider |
| ------------------------- | ---------------------- | ------ | -------- |
| `ml-00`                   | Andrea                 | female | 11labs   |
| `ml-02`                   | Kelcey                 | female | 11labs   |
| `ml-03`                   | Christopher            | male   | 11labs   |
| `ml-04`                   | Burt                   | male   | 11labs   |
| `ml-05`                   | Johnny                 | male   | 11labs   |
| `ml-aTxZrSrp47xsP6Ot4Kgd` | Tiana                  | female | 11labs   |
| `ml-OOk3INdXVLRmSaQoAX9D` | Tiffany                | female | 11labs   |
| `ml-P7x743VjyZEOihNNygQ9` | Charlene               | female | 11labs   |
| `ml-77aEIu0qStu8Jwv1EdhX` | Joseph                 | male   | 11labs   |
| `ml-ewxUvnyvvOehYjKjUVKC` | Andre                  | male   | 11labs   |
| `ml-Z7HhYXzYeRsQk3RnXqiG` | Samuel                 | male   | 11labs   |
| `ml-tyler`                | Tyler                  | male   | 11labs   |
| `ml-uYXf8XasLslADfZ2MB4u` | Nicole                 | female | 11labs   |
| `ml-dMyQqiVXTU80dDl2eNK8` | Hannah                 | female | 11labs   |
| `ml-ZF6FPAbjXT4488VcRRnw` | Charlotte (UK)         | female | 11labs   |
| `ml-19STyYD15bswVz51nqLf` | Gemma (UK)             | female | 11labs   |
| `ml-lcMyyd2HUfFzxdCaC4Ta` | Poppy (UK)             | female | 11labs   |
| `ml-Fahco4VZzobUeiPqni1S` | Daniel (UK)            | male   | 11labs   |
| `ml-RKCbSROXui75bk1SVpy8` | James (UK)             | male   | 11labs   |
| `ml-1BUhH8aaMvGMUdGAmWVM` | Ben (UK)               | male   | 11labs   |
| `ml-fCqNx624ZlenYx5PXk6M` | Grace (Australia)      | female | 11labs   |
| `ml-ys3XeJJA4ArWMhRpcX1D` | Zoe (Australia)        | female | 11labs   |
| `ml-OluJZCsIVfyg64DC1NPq` | Sophia (Australia)     | female | 11labs   |
| `ml-aEO01A4wXwd1O8GPgGlF` | Simone (Australia)     | female | 11labs   |
| `ml-w9rPM8AIZle60Nbpw7nl` | Michelle (Australia)   | female | 11labs   |
| `ml-DYkrAHD8iwork3YSUBbs` | Bruce (Australia)      | male   | 11labs   |
| `ml-WLKp2jV6nrS8aMkPPDRO` | Wayne (Australia)      | male   | 11labs   |
| `ml-06`                   | Sylvia (EN & Spanish)  | female | 11labs   |
| `ml-kcQkGnn0HAT2JRDQ4Ljp` | Luisa                  | female | 11labs   |
| `ml-07`                   | Maria (Spanish)        | female | 11labs   |
| `ml-08`                   | Carlos (Spanish)       | male   | 11labs   |
| `ml-09`                   | Santiago (Spanish)     | male   | 11labs   |
| `ml-10`                   | Andréa (French)        | female | 11labs   |
| `ml-11`                   | Mathieu (French)       | male   | 11labs   |
| `ml-12`                   | Stéphanie (French)     | female | 11labs   |
| `ml-13`                   | Ana Maria (Romanian)   | female | 11labs   |
| `ml-14`                   | Corina (Romanian)      | female | 11labs   |
| `ml-15`                   | Jean-François (French) | male   | 11labs   |
| `ml-qSV5UqvHBC0Widy71Esh` | Arjun (Hindi)          | male   | 11labs   |
| `ml-aMSt68OGf4xUZAnLpTU8` | Sabine (German)        | female | 11labs   |
| `ml-tyler`                | Markus (German)        | male   | 11labs   |

### Available `agentTypeId` values

The chosen agent type must match **both the language and the campaign type** of the campaign referenced by `campaignId`. Otherwise the request fails with a validation error.

Campaign types are: `inbound`, `outbound`, `web`, `messages`.

#### Inbound

| ID                                     | Title                      | Language      |
| -------------------------------------- | -------------------------- | ------------- |
| `0aedeff4-a996-4183-b19c-1a5f7c42eead` | Create from Scratch        | en-US         |
| `d78df152-f9fe-4737-8f56-d5c72569846f` | Customer Service Agent     | en-US         |
| `54a9fb74-0b57-4291-b563-003a05887985` | Receptionist               | en-US         |
| `b13c9418-358a-48c1-914d-241342b34c7f` | Complaint Resolution Agent | en-US         |
| `e5770e04-bfe6-40ac-b5e2-33ec825d5d9d` | Retention Specialist       | en-US         |
| `fb48b616-40a6-4058-97bb-cd32f8361f53` | Sıfırdan oluşturmak        | tr-TR         |
| `d4da399d-f0dd-49e7-bf3a-dba3ef7637bf` | Crear desde cero           | es-US         |
| `833693b8-2cee-42ad-b6cd-91cd5893b7a6` | Créer à partir de zéro     | fr-FR         |
| `4254e00a-debe-4d98-9bef-0f2ac72d4a85` | Creați de la zero          | ro-RO         |
| `87582277-e65a-462a-a608-6150886cb37a` | Create from scratch        | hi-IN         |
| `0242c5ca-e2a9-434b-959e-257268131683` | להתחיל מאפס                | he-IL         |
| `87582277-e65a-462a-a608-6150886cb37b` | Von Grund auf erstellen    | de            |
| `4bc22db8-42ca-4512-bf5d-99d7cff65e25` | Create from Scratch        | multilanguage |

#### Outbound

| ID                                     | Title                    | Language      |
| -------------------------------------- | ------------------------ | ------------- |
| `0aedeff4-a996-4183-b19c-1a5f7c42eead` | Create from Scratch      | en-US         |
| `460e200d-d15e-4204-94d6-5883d9f5c0d9` | Sales Agent              | en-US         |
| `14c269b7-2a9c-4808-bb1c-09e4c6851043` | Customer Service Agent   | en-US         |
| `53c96fe3-a27f-4e7e-9dec-83428aad973f` | Lead Qualification Agent | en-US         |
| `fb48b616-40a6-4058-97bb-cd32f8361f53` | Sıfırdan oluşturmak      | tr-TR         |
| `d4da399d-f0dd-49e7-bf3a-dba3ef7637bf` | Crear desde cero         | es-US         |
| `833693b8-2cee-42ad-b6cd-91cd5893b7a6` | Créer à partir de zéro   | fr-FR         |
| `4254e00a-debe-4d98-9bef-0f2ac72d4a85` | Creați de la zero        | ro-RO         |
| `87582277-e65a-462a-a608-6150886cb37a` | Create from scratch      | hi-IN         |
| `0242c5ca-e2a9-434b-959e-257268131683` | להתחיל מאפס              | he-IL         |
| `87582277-e65a-462a-a608-6150886cb37b` | Von Grund auf erstellen  | de            |
| `4bc22db8-42ca-4512-bf5d-99d7cff65e25` | Create from Scratch      | multilanguage |

#### Web

| ID                                     | Title                      | Language      |
| -------------------------------------- | -------------------------- | ------------- |
| `0aedeff4-a996-4183-b19c-1a5f7c42eead` | Create from Scratch        | en-US         |
| `48107f46-a0e1-47d4-abba-87b404fd001e` | Sales                      | en-US         |
| `5aa34180-9b4e-4c8b-a194-0b2fdfa512b4` | Customer Service Agent     | en-US         |
| `3e5bfe73-722d-49b5-9903-118e304752e8` | Technical Support Agent    | en-US         |
| `7aa7ad61-17a9-4b6e-b415-a68318e671aa` | Multilingual Support Agent | es-US         |
| `fb48b616-40a6-4058-97bb-cd32f8361f53` | Sıfırdan oluşturmak        | tr-TR         |
| `d4da399d-f0dd-49e7-bf3a-dba3ef7637bf` | Crear desde cero           | es-US         |
| `833693b8-2cee-42ad-b6cd-91cd5893b7a6` | Créer à partir de zéro     | fr-FR         |
| `4254e00a-debe-4d98-9bef-0f2ac72d4a85` | Creați de la zero          | ro-RO         |
| `87582277-e65a-462a-a608-6150886cb37a` | Create from scratch        | hi-IN         |
| `0242c5ca-e2a9-434b-959e-257268131683` | להתחיל מאפס                | he-IL         |
| `87582277-e65a-462a-a608-6150886cb37b` | Von Grund auf erstellen    | de            |
| `4bc22db8-42ca-4512-bf5d-99d7cff65e25` | Create from Scratch        | multilanguage |

#### Messages

| ID                       | Title              | Language      |
| ------------------------ | ------------------ | ------------- |
| `messages-en-US`         | Messages Agent     | en-US         |
| `messages-tr-TR`         | Mesaj Ajanı        | tr-TR         |
| `messages-es-US`         | Agente de Mensajes | es-US         |
| `messages-fr-FR`         | Agent de Messages  | fr-FR         |
| `messages-ro-RO`         | Agent de Mesaje    | ro-RO         |
| `messages-hi-IN`         | मैसेज एजेंट        | hi-IN         |
| `messages-he-IL`         | סוכן הודעות        | he-IL         |
| `messages-de`            | Nachrichten-Agent  | de            |
| `messages-multilanguage` | Messages Agent     | multilanguage |

Reference: https://docs.youratlas.com/api-reference/atlas-api/agents/create-agent-v-2

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Request

### Path parameters

- `campaignId` (string, required)

### Body (application/json)

This endpoint expects a CreateAgentV2Request.

- `Name` (string, required) — Display name for the agent
- `VoiceId` (string, required) — Voice template ID
- `agentTypeId` (string, optional) — Agent-type template ID. When provided, scripts and settings are resolved from the template. When omitted, AgentTypeName, PreScript, and PostScript are required.
- `AgentTypeName` (string, optional)
- `PreScript` (string, optional)
- `PostScript` (string, optional)
- `BackgroundSound` (string, optional)
- `Model` (string, optional)
- `Stability` (double, optional)
- `SimilarityBoost` (double, optional)
- `Speed` (double, optional)
- `OptimizeStreamingLatency` (double, optional)

## Response

### 200

Agent created

- `campaignId` (string, optional)
- `assistantId` (string, optional)

## Errors

### 400 Bad Request Error

Bad request

- `error` (ErrorError, optional)

### 404 Not Found Error

Resource not found

- `error` (ErrorError, optional)

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

## Examples

**Request**

```json
{
  "Name": "string",
  "VoiceId": "string"
}
```

**Response**

```json
{
  "campaignId": "string",
  "assistantId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/agent/new/campaignId"

payload = {
    "Name": "string",
    "VoiceId": "string"
}
headers = {
    "api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/agent/new/campaignId';
const options = {
  method: 'POST',
  headers: {'api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"Name":"string","VoiceId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/agent/new/campaignId"

	payload := strings.NewReader("{\n  \"Name\": \"string\",\n  \"VoiceId\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/agent/new/campaignId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Name\": \"string\",\n  \"VoiceId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.youratlas.com/v1/api/agent/new/campaignId")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"Name\": \"string\",\n  \"VoiceId\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.youratlas.com/v1/api/agent/new/campaignId', [
  'body' => '{
  "Name": "string",
  "VoiceId": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/agent/new/campaignId");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Name\": \"string\",\n  \"VoiceId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "Name": "string",
  "VoiceId": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/agent/new/campaignId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```